<template>
  <v-img
    max-height="150"
    max-width="230"
    :src="previewImage"
  >
    <template #placeholder>
      <v-row
        class="fill-height ma-0"
        align="center"
        justify="center"
      >
        <v-progress-circular
          indeterminate
          color="grey lighten-5"
        />
      </v-row>
    </template>
  </v-img>
</template>

<script>
export default {
  name: 'PreviewImage',
  props: {
    'previewImage': {
      default: '',
      type: String,
    },
  },
};
</script>

<style scoped>

</style>
